Subject: Re: [regression] Kernel OOPS on boot with Kernel 6.3(.1) and RTL8153 Gigabit Ethernet Adapter

From: Bjørn Mork <[email-masked]>
Date: Sun, 07 May 2023 20:32:16 +0200

Jakub Kicinski <[email-masked]> writes:

> It's just a hashtable init, I think that we can do:
>
> diff --git a/kernel/bpf/offload.c b/kernel/bpf/offload.c
> index d9c9f45e3529..8a26cd8814c1 100644
> --- a/kernel/bpf/offload.c
> +++ b/kernel/bpf/offload.c
> @@ -859,4 +859,4 @@ static int __init bpf_offload_init(void)
>  	return rhashtable_init(&offdevs, &offdevs_params);
>  }
>  
> -late_initcall(bpf_offload_init);
> +core_initcall(bpf_offload_init);
>
>
> Thorsten, how is the communication supposed to work in this case?
> Can you ask the reporter to test this? I don't see them on CC...

FWIW, I tried to reproduce the oops in the hope that I could confirm
a fix.  But I failed. The netdev is successfully deregistered on my
laptop no matter what I do. Tested v6.3 and current net/main, and
tried different tricks to change probe timing.

Guess this is timing sensitive enough that it only shows up on certain
systems.

So we will need the reporter to chime in.

Bjørn